# Method: customers.describeValidDv360AdvertiserIds

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.DescribeValidDv360AdvertiserIdsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/describeValidDv360AdvertiserIds#body.aspect)

Describes the valid DV360 AdvertiserIds

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customer=customers/*}:describeValidDv360AdvertiserIds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer resource name, e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adsDataCustomerId": string, "dv360PartnerId": string, "pageSize": integer, "pageToken": string } ``` |

| Fields ||
|---|---|
| `adsDataCustomerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Ads Data Owning customer's ID, e.g. 456. |
| `dv360PartnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. DV360 Partner ID whose Advertiser Ids are requested e.g. 1234 Note that this partner must be linked to the ADH customer speciified by adsDataCustomerId |
| `pageSize` | `integer` Maximum number of items to return. If 0, the server will determine the number of linked customers to return. |
| `pageToken` | `string` Page token, returned by a previous call, used to request the next page of results, if any. |

### Response body

Response to DescribeValidDV360AdvertiserIdsRequest

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks#Entity`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.adsDataLinks#Entity`)`` List of entities, each describing a DV360 Advertiser |
| `nextPageToken` | `string` A token that can be used to request the next results page. This field is empty if there are no additional results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`